]> granicus.if.org Git - gc/commitdiff
2006-03-15 Hans Boehm <Hans.Boehm@hp.com>
authorhboehm <hboehm>
Wed, 15 Mar 2006 23:02:06 +0000 (23:02 +0000)
committerIvan Maidanski <ivmai@mail.ru>
Tue, 26 Jul 2011 17:06:36 +0000 (21:06 +0400)
* Makefile.am, Makefile.dj, configure.ac: Remove more traces of
powerpc_darwin_mach_dep.s
* configure, Makefile.in: regenerate.

Makefile.am
Makefile.dj
Makefile.in
configure
configure.ac

index d42890715121fc6a6167ad2fa7f92d9ad2f47e99..ef7442ff4008d061a4fdc377137d05838b5118a7 100644 (file)
@@ -84,7 +84,7 @@ libgc_la_DEPENDENCIES = @addobjs@
 libgc_la_LDFLAGS = -version-info 1:2:0
 
 EXTRA_libgc_la_SOURCES = alpha_mach_dep.S \
-    mips_sgi_mach_dep.s mips_ultrix_mach_dep.s powerpc_darwin_mach_dep.s \
+    mips_sgi_mach_dep.s mips_ultrix_mach_dep.s \
     rs6000_mach_dep.s sparc_mach_dep.S sparc_netbsd_mach_dep.s \
     sparc_sunos4_mach_dep.s ia64_save_regs_in_stack.s
 
index 373e645afc7aac17a0337cefd36d83dad79c0dec..83b3d590e5e8be563661adb59d3373d9568fb004 100644 (file)
@@ -176,7 +176,7 @@ SRCS= $(CSRCS) mips_sgi_mach_dep.S rs6000_mach_dep.s alpha_mach_dep.S \
     include/private/solaris_threads.h include/gc_backptr.h \
     hpux_test_and_clear.s include/gc_gcj.h \
     include/gc_local_alloc.h include/private/dbg_mlc.h \
-    include/private/specific.h powerpc_darwin_mach_dep.s \
+    include/private/specific.h \
     include/leak_detector.h $(CORD_SRCS)
 
 OTHER_FILES= Makefile PCR-Makefile OS2_MAKEFILE NT_MAKEFILE BCC_MAKEFILE \
@@ -284,13 +284,12 @@ liblinuxgc.so: $(OBJS) dyn_load.o
        ln liblinuxgc.so libgc.so
 
 mach_dep.o: $(srcdir)/mach_dep.c $(srcdir)/mips_sgi_mach_dep.S $(srcdir)/mips_ultrix_mach_dep.s \
-            $(srcdir)/rs6000_mach_dep.s $(srcdir)/powerpc_darwin_mach_dep.s $(UTILS)
+            $(srcdir)/rs6000_mach_dep.s $(UTILS)
        rm -f mach_dep.o
        ./if_mach MIPS IRIX5 $(AS) -o mach_dep.o $(srcdir)/mips_sgi_mach_dep.S
        ./if_mach MIPS RISCOS $(AS) -o mach_dep.o $(srcdir)/mips_ultrix_mach_dep.s
        ./if_mach MIPS ULTRIX $(AS) -o mach_dep.o $(srcdir)/mips_ultrix_mach_dep.s
        ./if_mach POWERPC AIX $(AS) -o mach_dep.o $(srcdir)/rs6000_mach_dep.s
-       ./if_mach POWERPC MACOSX $(AS) -o mach_dep.o $(srcdir)/powerpc_darwin_mach_dep.s
        ./if_mach ALPHA "" $(AS) -o mach_dep.o $(srcdir)/alpha_mach_dep.S
        ./if_mach SPARC SUNOS5 $(AS) -o mach_dep.o $(srcdir)/sparc_mach_dep.S
        ./if_mach SPARC SUNOS4 $(AS) -o mach_dep.o $(srcdir)/sparc_sunos4_mach_dep.s
index 08b02abd44871b7ffb7ee018370e404a0b27fd98..66eb301fef3244ee2e6eae096287dc19c4489512 100644 (file)
@@ -126,14 +126,13 @@ DIST_COMMON = $(am__configure_deps) $(am__pkginclude_HEADERS_DIST) \
 #if ARCH_SOLARIS
 #libgc_la_SOURCES += solaris_pthreads.c solaris_threads.c
 #endif
-@POWERPC_DARWIN_TRUE@am__append_6 = powerpc_darwin_mach_dep.s
-@DARWIN_THREADS_TRUE@am__append_7 = darwin_stop_world.c
-@WIN32_THREADS_TRUE@am__append_8 = win32_threads.c
+@DARWIN_THREADS_TRUE@am__append_6 = darwin_stop_world.c
+@WIN32_THREADS_TRUE@am__append_7 = win32_threads.c
 
 # C++ Interface
 # -------------
-@CPLUSPLUS_TRUE@am__append_9 = libgccpp.la
-@CPLUSPLUS_TRUE@am__append_10 = include/gc_cpp.h include/gc_allocator.h
+@CPLUSPLUS_TRUE@am__append_8 = libgccpp.la
+@CPLUSPLUS_TRUE@am__append_9 = include/gc_cpp.h include/gc_allocator.h
 subdir = .
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
@@ -167,20 +166,18 @@ am__libgc_la_SOURCES_DIST = allchblk.c alloc.c blacklst.c checksums.c \
        new_hblk.c obj_map.c os_dep.c pcr_interface.c ptr_chck.c \
        real_malloc.c reclaim.c specific.c stubborn.c typd_mlc.c \
        backgraph.c thread_local_alloc.c pthread_support.c \
-       pthread_stop_world.c powerpc_darwin_mach_dep.s \
-       darwin_stop_world.c win32_threads.c
+       pthread_stop_world.c darwin_stop_world.c win32_threads.c
 @PTHREADS_TRUE@am__objects_1 = pthread_support.lo \
 @PTHREADS_TRUE@        pthread_stop_world.lo
-@POWERPC_DARWIN_TRUE@am__objects_2 = powerpc_darwin_mach_dep.lo
-@DARWIN_THREADS_TRUE@am__objects_3 = darwin_stop_world.lo
-@WIN32_THREADS_TRUE@am__objects_4 = win32_threads.lo
+@DARWIN_THREADS_TRUE@am__objects_2 = darwin_stop_world.lo
+@WIN32_THREADS_TRUE@am__objects_3 = win32_threads.lo
 am_libgc_la_OBJECTS = allchblk.lo alloc.lo blacklst.lo checksums.lo \
        dbg_mlc.lo dyn_load.lo finalize.lo gc_dlopen.lo gcj_mlc.lo \
        headers.lo malloc.lo mallocx.lo mark.lo mark_rts.lo misc.lo \
        new_hblk.lo obj_map.lo os_dep.lo pcr_interface.lo ptr_chck.lo \
        real_malloc.lo reclaim.lo specific.lo stubborn.lo typd_mlc.lo \
        backgraph.lo thread_local_alloc.lo $(am__objects_1) \
-       $(am__objects_2) $(am__objects_3) $(am__objects_4)
+       $(am__objects_2) $(am__objects_3)
 libgc_la_OBJECTS = $(am_libgc_la_OBJECTS)
 @CPLUSPLUS_TRUE@libgccpp_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
 @CPLUSPLUS_TRUE@       $(am__DEPENDENCIES_1)
@@ -442,7 +439,7 @@ EXTRA_DIST = cord/cordbscs.c cord/cordtest.c cord/de.c cord/cordprnt.c \
 
 # C Library
 # ---------
-lib_LTLIBRARIES = libcord.la libgc.la $(am__append_9)
+lib_LTLIBRARIES = libcord.la libgc.la $(am__append_8)
 include_HEADERS = 
 
 # installed headers
@@ -453,7 +450,7 @@ pkginclude_HEADERS = include/gc.h include/gc_typed.h \
        include/gc_allocator.h include/gc_backptr.h include/gc_gcj.h \
        include/leak_detector.h include/gc_amiga_redirects.h \
        include/gc_pthread_redirects.h include/gc_config_macros.h \
-       include/gc_tiny_fl.h $(am__append_10)
+       include/gc_tiny_fl.h $(am__append_9)
 
 # headers which are not installed
 #
@@ -543,7 +540,7 @@ libgc_la_SOURCES = allchblk.c alloc.c blacklst.c checksums.c dbg_mlc.c \
        os_dep.c pcr_interface.c ptr_chck.c real_malloc.c reclaim.c \
        specific.c stubborn.c typd_mlc.c backgraph.c \
        thread_local_alloc.c $(am__append_5) $(am__append_6) \
-       $(am__append_7) $(am__append_8)
+       $(am__append_7)
 
 # Include THREADDLLIBS here to ensure that the correct versions of
 # linuxthread semaphore functions get linked:
@@ -551,7 +548,7 @@ libgc_la_LIBADD = @addobjs@ $(THREADDLLIBS) $(UNWINDLIBS)
 libgc_la_DEPENDENCIES = @addobjs@
 libgc_la_LDFLAGS = -version-info 1:2:0
 EXTRA_libgc_la_SOURCES = alpha_mach_dep.S \
-    mips_sgi_mach_dep.s mips_ultrix_mach_dep.s powerpc_darwin_mach_dep.s \
+    mips_sgi_mach_dep.s mips_ultrix_mach_dep.s \
     rs6000_mach_dep.s sparc_mach_dep.S sparc_netbsd_mach_dep.s \
     sparc_sunos4_mach_dep.s ia64_save_regs_in_stack.s
 
index d0c8d506221a5fa8250bbb787d7957479d3e9e98..5750c4bfe0be38ef666b8a75f39d06b0add3ad0a 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 1.3 .
+# From configure.ac Revision: 1.4 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.59 for gc 7.0alpha6.
 #
@@ -472,7 +472,7 @@ ac_includes_default="\
 #endif"
 
 ac_subdirs_all="$ac_subdirs_all libatomic_ops"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GC_VERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CCAS CCASFLAGS AR ac_ct_AR RANLIB ac_ct_RANLIB GC_CFLAGS THREADDLLIBS THREADS_TRUE THREADS_FALSE PTHREADS_TRUE PTHREADS_FALSE DARWIN_THREADS_TRUE DARWIN_THREADS_FALSE ARCH_SOLARIS_TRUE ARCH_SOLARIS_FALSE WIN32_THREADS_TRUE WIN32_THREADS_FALSE POWERPC_DARWIN_TRUE POWERPC_DARWIN_FALSE COMPILER_XLC_TRUE COMPILER_XLC_FALSE EXTRA_TEST_LIBS target_all CPLUSPLUS_TRUE CPLUSPLUS_FALSE INCLUDES CXXINCLUDES addobjs addlibs LN_S ECHO CPP EGREP LIBTOOL MY_CFLAGS ENABLE_GCJ_SUPPORT_TRUE ENABLE_GCJ_SUPPORT_FALSE UNWINDLIBS USE_LIBDIR_TRUE USE_LIBDIR_FALSE subdirs USE_INTERNAL_LIBATOMICS_OPS_TRUE USE_INTERNAL_LIBATOMICS_OPS_FALSE maybe_libatomic_ops LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GC_VERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CCAS CCASFLAGS AR ac_ct_AR RANLIB ac_ct_RANLIB GC_CFLAGS THREADDLLIBS THREADS_TRUE THREADS_FALSE PTHREADS_TRUE PTHREADS_FALSE DARWIN_THREADS_TRUE DARWIN_THREADS_FALSE ARCH_SOLARIS_TRUE ARCH_SOLARIS_FALSE WIN32_THREADS_TRUE WIN32_THREADS_FALSE COMPILER_XLC_TRUE COMPILER_XLC_FALSE EXTRA_TEST_LIBS target_all CPLUSPLUS_TRUE CPLUSPLUS_FALSE INCLUDES CXXINCLUDES addobjs addlibs LN_S ECHO CPP EGREP LIBTOOL MY_CFLAGS ENABLE_GCJ_SUPPORT_TRUE ENABLE_GCJ_SUPPORT_FALSE UNWINDLIBS USE_LIBDIR_TRUE USE_LIBDIR_FALSE subdirs USE_INTERNAL_LIBATOMICS_OPS_TRUE USE_INTERNAL_LIBATOMICS_OPS_FALSE maybe_libatomic_ops LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -4365,16 +4365,6 @@ case "$host" in
       ;;
 esac
 
-
-if test x$powerpc_darwin = xtrue; then
-  POWERPC_DARWIN_TRUE=
-  POWERPC_DARWIN_FALSE='#'
-else
-  POWERPC_DARWIN_TRUE='#'
-  POWERPC_DARWIN_FALSE=
-fi
-
-
 echo "$as_me:$LINENO: checking for xlc" >&5
 echo $ECHO_N "checking for xlc... $ECHO_C" >&6
 
@@ -6234,7 +6224,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 6237 "configure"' > conftest.$ac_ext
+  echo '#line 6227 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6807,7 +6797,7 @@ chmod -w .
 save_CFLAGS="$CFLAGS"
 CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
 compiler_c_o=no
-if { (eval echo configure:6810: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+if { (eval echo configure:6800: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
   # The compiler can only warn and ignore the option if not recognized
   # So say no if there are warnings
   if test -s out/conftest.err; then
@@ -8734,7 +8724,7 @@ else
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8737 "configure"
+#line 8727 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8832,7 +8822,7 @@ else
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8835 "configure"
+#line 8825 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10428,13 +10418,6 @@ echo "$as_me: error: conditional \"WIN32_THREADS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-if test -z "${POWERPC_DARWIN_TRUE}" && test -z "${POWERPC_DARWIN_FALSE}"; then
-  { { echo "$as_me:$LINENO: error: conditional \"POWERPC_DARWIN\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"POWERPC_DARWIN\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
-   { (exit 1); exit 1; }; }
-fi
 if test -z "${COMPILER_XLC_TRUE}" && test -z "${COMPILER_XLC_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"COMPILER_XLC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -11080,8 +11063,6 @@ s,@ARCH_SOLARIS_TRUE@,$ARCH_SOLARIS_TRUE,;t t
 s,@ARCH_SOLARIS_FALSE@,$ARCH_SOLARIS_FALSE,;t t
 s,@WIN32_THREADS_TRUE@,$WIN32_THREADS_TRUE,;t t
 s,@WIN32_THREADS_FALSE@,$WIN32_THREADS_FALSE,;t t
-s,@POWERPC_DARWIN_TRUE@,$POWERPC_DARWIN_TRUE,;t t
-s,@POWERPC_DARWIN_FALSE@,$POWERPC_DARWIN_FALSE,;t t
 s,@COMPILER_XLC_TRUE@,$COMPILER_XLC_TRUE,;t t
 s,@COMPILER_XLC_FALSE@,$COMPILER_XLC_FALSE,;t t
 s,@EXTRA_TEST_LIBS@,$EXTRA_TEST_LIBS,;t t
index e0684c588751b56b07b0c46f5c1ea47f7f820317..40d1381ef2fdbddd94296b349580e28fb5870fe6 100644 (file)
@@ -22,7 +22,7 @@ AC_INIT(gc,7.0alpha6,Hans.Boehm@hp.com)
 AC_CONFIG_SRCDIR(gcj_mlc.c)
 AC_CANONICAL_TARGET 
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.4 $)
+AC_REVISION($Revision: 1.5 $)
 GC_SET_VERSION
 AM_INIT_AUTOMAKE([foreign dist-bzip2 subdir-objects nostdinc])
 AM_MAINTAINER_MODE
@@ -203,7 +203,6 @@ case "$host" in
       powerpc_darwin=true
       ;;
 esac
-AM_CONDITIONAL(POWERPC_DARWIN,test x$powerpc_darwin = xtrue)
 
 AC_MSG_CHECKING(for xlc)
 AC_TRY_COMPILE([],[